Requisitos previos del servidor - Linux

Se deben cumplir los siguientes requisitos previos para instalar ESMC Server en Linux:

Debe disponer de una licencia válida.

Debe instalarse un servidor de bases de datos y configurarse con una cuenta raíz. No es necesario crear una cuenta de usuario antes de la instalación. El instalador puede crear la cuenta. No se admite MS SQL Server en Linux. Sin embargo, puede conectar ESMC Server en Linux a MS SQL Server en Windows.

note

Nota

ESMC Server almacena grandes blobs de datos en la base de datos. Configure MySQL para que acepte paquetes de gran tamaño y ESMC funcione correctamente.

ODBC Driver: ODBC Driver se utiliza para establecer conexión con el servidor de la base de datos (MySQL).

Configure el archivo de instalación del servidor establecido como un ejecutable. Para hacer esto, utilice el siguiente comando de terminal:

chmod +x server-linux-x86_64.sh

Se recomienda usar la versión más reciente de OpenSSL (1.1.1). La versión mínima compatible de OpenSSL es openssl-1.0.1e-30. Puede haber más versiones de OpenSSL instaladas en un sistema a la vez. En su sistema debe haber al menos una versión compatible.

oPuede usar el comando openssl version para mostrar la versión predeterminada actual.

oPuede enumerar todas las versiones de OpenSSL presentes en su sistema. Vea las extensiones de nombres de archivo con el comando sudo find / -iname *libcrypto.so*

oLos usuarios de Fedora Linux deben usar el paquete compat-openssl10.

Xvfb: se requiere para la impresión correcta del informe (Generar informe) en los sistemas de servidor Linux sin una interfaz gráfica.

cifs-utils: se requiere para la correcta implementación del agente en un sistema operativo Windows.

Bibliotecas Qt4 WebKit: se utilizan para la impresión de informes en formato PDF y PS (debe ser la versión 4.8, no la 5). El resto de dependencias Qt4 se instalarán automáticamente. En el caso de CentOS, el paquete podría no estar en los repositorios oficiales. Puede instalarlo desde un repositorio externo (por ejemplo, los repositorios EPEL) o compilarlo usted mismo en un equipo de destino.

kinit + klist: Kerberos se utiliza para la autenticación de un usuario del dominio al iniciar sesión y para la tarea de sincronización de Active Directory. Asegúrese de que Kerberos esté configurado correctamente (/etc/krb5.conf). ESMC 7.2 admite la sincronización con varios dominios.

ldapsearch: se utiliza para la tarea de sincronización de AD y para la autorización.

snmptrap: se utiliza para enviar capturas de SNMP. Es opcional si no se desea utilizar esta funcionalidad. SNMP también requiere configuración.

Paquete SELinux devel: se utiliza durante la instalación del producto para crear módulos de política de SELinux. Solo se requiere en sistemas con SELinux activado (CentOS, Fedora, RHEL). SELinux podría provocar problemas con otras aplicaciones. En el caso de ESMC Server no es necesario.

En la siguiente tabla se incluyen los comandos de terminal adecuados para cada paquete descrito anteriormente para las diversas distribuciones de Linux.

Paquete

Distribuciones Debian y Ubuntu

Distribuciones CentOS, Red Hat y Fedora

Distribución OpenSUSE

Controlador de ODBC

Consulte el capítulo Instalación y configuración de ODBC.

xvfb

apt-get install xvfb

yum install xorg-x11-server-Xvfb

zypper install xorg-x11-server-extra

cifs-utils

apt-get install cifs-utils

yum install cifs-utils

zypper install cifs-utils

Bibliotecas Qt4 WebKit

apt-get install libqtwebkit4

Consulte nuestro artículo de la base de conocimiento.

zypper install libqtwebkit4

kinit+klist: opcional (necesario para el servicio Active Directory)

apt-get install krb5-user

yum install krb5-workstation

zypper install krb5

ldapsearch

apt-get install ldap-utils
libsasl2-modules-gssapi-mit

yum install openldap-clients
cyrus-sasl-gssapi cyrus-sasl-ldap

zypper install openldap2-client
cyrus-sasl-gssapi
cyrus-sasl-ldap-auxprop

snmptrap

apt-get install snmp

yum install net-snmp-utils net-snmp

zypper install net-snmp

Paquete SELinux devel (opcional; no es necesario para ESMC Server; SELinux podría provocar problemas con otras aplicaciones).

apt-get install selinux-policy-dev

yum install policycoreutils-devel

zypper install selinux-policy-devel

samba (opcional; solo es necesario para la implementación remota)

apt-get install samba

yum install samba
samba-winbind-clients

zypper install samba samba-client